org.eclipse.viatra.cep.core.api.evm

## Enum CepActivationStates

- java.lang.Object
- - java.lang.Enum<CepActivationStates>
  - - org.eclipse.viatra.cep.core.api.evm.CepActivationStates

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CepActivationStates>, ActivationState

      public enum CepActivationStates
      extends java.lang.Enum<CepActivationStates>
      implements ActivationState

  EVM `ActivationState`s of an `EventPattern`. The states capture states when a rule engine should consider a given `EventPattern` being activated or not - e.g. when the pattern gets matched.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.viatra.transformation.evm.api.event.ActivationState

      `ActivationState.DynamicActivationState`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVE`
    `INACTIVE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isInactive()`
    `static CepActivationStates` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CepActivationStates[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INACTIVE

          public static final CepActivationStates INACTIVE

    - #### ACTIVE

          public static final CepActivationStates ACTIVE

  - ### Method Detail

    - #### values

          public static CepActivationStates[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CepActivationStates c : CepActivationStates.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CepActivationStates valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isInactive

          public boolean isInactive()

      Specified by:
        `isInactive` in interface `ActivationState`